summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'dev-python/twine/twine-1.11.0.ebuild')
-rw-r--r--dev-python/twine/twine-1.11.0.ebuild40
1 files changed, 40 insertions, 0 deletions
diff --git a/dev-python/twine/twine-1.11.0.ebuild b/dev-python/twine/twine-1.11.0.ebuild
new file mode 100644
index 00000000000..053b8a76763
--- /dev/null
+++ b/dev-python/twine/twine-1.11.0.ebuild
@@ -0,0 +1,40 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+PYTHON_COMPAT=( python{2_7,3_4,3_5,3_6} )
+
+inherit distutils-r1
+
+DESCRIPTION="Collection of utilities for publishing packages on PyPI"
+HOMEPAGE="https://twine.readthedocs.io/ https://github.com/pypa/twine https://pypi.python.org/pypi/twine"
+SRC_URI="https://github.com/pypa/twine/archive/${PV}.tar.gz -> ${P}.tar.gz"
+# pypi tarballs don't contain test data
+#SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="test"
+
+CDEPEND="dev-python/setuptools[${PYTHON_USEDEP}]"
+DEPEND="${CDEPEND}
+ test? (
+ dev-python/pytest[${PYTHON_USEDEP}]
+ dev-python/pretend[${PYTHON_USEDEP}]
+ )
+"
+RDEPEND="${CDEPEND}
+ >=dev-python/tqdm-4.14[${PYTHON_USEDEP}]
+ >=dev-python/pkginfo-1.4.2[${PYTHON_USEDEP}]
+ >=dev-python/requests-2.5.0[${PYTHON_USEDEP}]
+ >=dev-python/requests-toolbelt-0.8.0[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep 'dev-python/pyblake2[${PYTHON_USEDEP}]' python{2_7,3_4,3_5})
+"
+
+PATCHES=( "${FILESDIR}"/${P}-tests.patch )
+
+python_test() {
+ py.test -v tests || die "tests fail with ${EPYTHON}"
+}